Bug 404521 - Crash when exporting openexr frames.
Summary: Crash when exporting openexr frames.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2019-02-18 13:11 UTC by wolthera
Modified: 2019-02-22 16:47 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolthera 2019-02-18 13:11:14 UTC
Application: krita (4.2.0-pre-alpha (git ab53dc1))

Qt Version: 5.11.2
Frameworks Version: 5.54.0
Operating System: Linux 4.15.0-43-generic x86_64
Distribution: KDE neon User Edition 5.14

-- Information about the crash:
- What I was doing when the application crashed:

Exporting an animation with openexr.

I think I caused this crash when I last touched the animation exporter to ensure it used video data.

The crash can be reproduced every time.

-- Backtrace:
Application: Krita (krita), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7b3901b840 (LWP 19851))]

Thread 16 (Thread 0x7f7aa3fff700 (LWP 15562)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7aa3ffebf0, expected=0, futex_word=0x56283b4a1fd4) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7aa3ffecc0, mutex=0x56283b4a1f80, cond=0x56283b4a1fa8) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x56283b4a1fa8, mutex=0x56283b4a1f80, abstime=0x7f7aa3ffecc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7aa3fff700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f7ac0df1700 (LWP 15561)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac0df0bf0, expected=0, futex_word=0x5628392a0064) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac0df0cc0, mutex=0x5628392a0010, cond=0x5628392a0038) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x5628392a0038, mutex=0x5628392a0010, abstime=0x7f7ac0df0cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac0df1700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f7ac15f2700 (LWP 15560)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac15f1bf0, expected=0, futex_word=0x562839530290) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac15f1cc0, mutex=0x562839530240, cond=0x562839530268) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x562839530268, mutex=0x562839530240, abstime=0x7f7ac15f1cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac15f2700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f7ac1df3700 (LWP 15559)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac1df2bf0, expected=0, futex_word=0x56283b73bc90) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac1df2cc0, mutex=0x56283b73bc40, cond=0x56283b73bc68) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x56283b73bc68, mutex=0x56283b73bc40, abstime=0x7f7ac1df2cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac1df3700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f7ac35f6700 (LWP 15558)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac35f5bf0, expected=0, futex_word=0x56283fb52d70) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac35f5cc0, mutex=0x56283fb52d20, cond=0x56283fb52d48) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x56283fb52d48, mutex=0x56283fb52d20, abstime=0x7f7ac35f5cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac35f6700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f7ac3df7700 (LWP 15557)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac3df6bf0, expected=0, futex_word=0x5628402c0364) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac3df6cc0, mutex=0x5628402c0310, cond=0x5628402c0338) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x5628402c0338, mutex=0x5628402c0310, abstime=0x7f7ac3df6cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac3df7700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f7ac2df5700 (LWP 15556)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac2df4bf0, expected=0, futex_word=0x562828571cb4) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac2df4cc0, mutex=0x562828571c60, cond=0x562828571c88) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x562828571c88, mutex=0x562828571c60, abstime=0x7f7ac2df4cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac2df5700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f7ac25f4700 (LWP 15555)):
#0  0x00007f7b2d087ed9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f7ac25f3bf0, expected=0, futex_word=0x56283e448830) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  __pthread_cond_wait_common (abstime=0x7f7ac25f3cc0, mutex=0x56283e4487e0, cond=0x56283e448808) at pthread_cond_wait.c:533
#2  __pthread_cond_timedwait (cond=0x56283e448808, mutex=0x56283e4487e0, abstime=0x7f7ac25f3cc0) at pthread_cond_wait.c:667
#3  0x00007f7b34214880 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b3420b28d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7ac25f4700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f7a9dffb700 (LWP 7877)):
#0  0x00007f7b338e20b4 in __GI___libc_read (fd=31, buf=0x7f7a9dffab9e, nbytes=10) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f7b2587cff1 in pa_read () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f7b2a7619fe in pa_mainloop_prepare () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#3  0x00007f7b2a762470 in pa_mainloop_iterate () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f7b2a762530 in pa_mainloop_run () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f7b2a770399 in ?? () from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f7b258ac2a8 in ?? () from /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f7b2d0816db in start_thread (arg=0x7f7a9dffb700) at pthread_create.c:463
#8  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f7adafb4700 (LWP 19959)):
#0  0x00007f7b338e6bf9 in __GI___poll (fds=0x7f7acc003ce0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f7b2b785539 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2b78564c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b3443904b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b34208bba in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7b2d0816db in start_thread (arg=0x7f7adafb4700) at pthread_create.c:463
#8  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f7adb7f5700 (LWP 19954)):
#0  0x00007f7b338e20b4 in __GI___libc_read (fd=23, buf=0x7f7adb7f4ae0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f7b2b7c9cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2b785027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2b7854e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b2b78564c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b3443904b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7b34208bba in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7b1573b826 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#9  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f7b2d0816db in start_thread (arg=0x7f7adb7f5700) at pthread_create.c:463
#11 0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f7aee09d700 (LWP 19950)):
#0  0x00007f7b338e20b4 in __GI___libc_read (fd=22, buf=0x7f7aee09cb30, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f7b2b7c9cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2b785027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2b7854e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b2b78564c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b3443904b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7b34208bba in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7b152c04f5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f7b2d0816db in start_thread (arg=0x7f7aee09d700) at pthread_create.c:463
#11 0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f7aed89c700 (LWP 19940)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007f7b34207870 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#2  0x00007f7b342076e2 in QSemaphore::tryAcquire(int, int) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#3  0x00007f7b361c4d6c in KisTileDataSwapper::waitForWork (this=0x7f7b369644e0 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:86
#4  0x00007f7b361c4d88 in KisTileDataSwapper::run (this=0x7f7b369644e0 <(anonymous namespace)::Q_QGS_s_instance::innerFunction()::holder+64>) at /home/wolthera/krita/src/libs/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b2d0816db in start_thread (arg=0x7f7aed89c700) at pthread_create.c:463
#7  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f7af4958700 (LWP 19934)):
#0  0x00007f7b2b78243b in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f7b2b7849d3 in g_main_context_prepare () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2b78546b in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2b78564c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b3443904b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b34208bba in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7b2d0816db in start_thread (arg=0x7f7af4958700) at pthread_create.c:463
#9  0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f7b0d75d700 (LWP 19853)):
#0  0x00007f7b338e20b4 in __GI___libc_read (fd=9, buf=0x7f7b0d75cb20, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f7b2b7c9cd0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7b2b785027 in g_main_context_check () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7b2b7854e0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f7b2b78564c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7b3443904b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f7b34208bba in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f7b2d2aee45 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f7b34213adb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f7b2d0816db in start_thread (arg=0x7f7b0d75d700) at pthread_create.c:463
#11 0x00007f7b338f388f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f7b3901b840 (LWP 19851)):
[KCrash Handler]
#6  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#7  0x00007f7b33812801 in __GI_abort () at abort.c:79
#8  0x00007f7b341e45db in QMessageLogger::fatal(char const*, ...) const () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#9  0x00007f7b341e3dd1 in qt_assert(char const*, char const*, int) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f7aece7df3b in KisSharedPtr<KisPropertiesConfiguration>::operator-> (this=0x7fff84039758) at /home/wolthera/krita/src/libs/global/kis_shared_ptr.h:180
#11 0x00007f7aece79ef2 in AnimaterionRenderer::slotRenderAnimation (this=0x562837f80480) at /home/wolthera/krita/src/plugins/extensions/animationrenderer/AnimationRenderer.cpp:108
#12 0x00007f7aece8f8a8 in AnimaterionRenderer::qt_static_metacall (_o=0x562837f80480, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fff84039a80) at /home/wolthera/krita/build/plugins/extensions/animationrenderer/kritaanimationrenderer_autogen/EWIEGA46WW/moc_AnimationRenderer.cpp:75
#13 0x00007f7b3440e075 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#14 0x00007f7b351656b2 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#15 0x00007f7b35167cec in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#16 0x00007f7b352db3bc in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#17 0x00007f7b352e293b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#18 0x00007f7b352e37f3 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#19 0x00007f7b351aaa98 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#20 0x00007f7b352e5b2b in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#21 0x00007f7b3516be1c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#22 0x00007f7b35173f87 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#23 0x00007f7b37b7c58b in KisApplication::notify (this=0x7fff8403a9a0, receiver=0x56283942cf20, event=0x7fff8403a130) at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:608
#24 0x00007f7b343defe8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#25 0x00007f7b351728d2 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#26 0x00007f7b351c594a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#27 0x00007f7b351c8229 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f7b3516be1c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#29 0x00007f7b351733ef in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#30 0x00007f7b37b7c58b in KisApplication::notify (this=0x7fff8403a9a0, receiver=0x7f7b189a0550, event=0x7fff8403a5c0) at /home/wolthera/krita/src/libs/ui/KisApplication.cpp:608
#31 0x00007f7b343defe8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#32 0x00007f7b3496f7bb in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#33 0x00007f7b34971335 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#34 0x00007f7b34949f5b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#35 0x00007f7b1f8d876b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#36 0x00007f7b343dd30a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#37 0x00007f7b343e64d0 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#38 0x0000562826a186b5 in main (argc=1, argv=0x7fff8403ab08) at /home/wolthera/krita/src/krita/main.cc:476

Possible duplicates by query: bug 402494, bug 401442, bug 400627, bug 400072, bug 399724.

Reported using DrKonqi
Comment 1 wolthera 2019-02-22 16:47:04 UTC
Git commit 3900a325db4d2a4ceb2a18c931c179e2ec56fd2e by Wolthera van Hövell tot Westerflier.
Committed on 22/02/2019 at 16:45.
Pushed by woltherav into branch 'master'.

This fixes a bug where exporting exr frames caused a crash.

M  +12   -10   plugins/extensions/animationrenderer/AnimationRenderer.cpp

https://commits.kde.org/krita/3900a325db4d2a4ceb2a18c931c179e2ec56fd2e